POST   scenarios/zebratester

Gets a list of all ZebraTester scenarios that are visible to you as an administrator of the customer checks.

Remarks

The result can be filtered or/and extended by optional parameters provided in the body.

Request example and description

curl --request POST "https://api-asm1.apica.io/v3/scenarios/zebratester?auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E" --header "Content-Type: application/json" --data-raw "{
  "filter": {
    "name": "sample string 1",
    "version": "sample string 2",
    "created": {
      "from_utc": "2013-08-20T13:32:08",
      "to_utc": "2013-08-21T13:32:08"
    },
    "updated": {
      "from_utc": "2013-08-20T13:32:08",
      "to_utc": "2013-08-21T13:32:08"
    },
    "associated_check_ids": [
      1,
      2,
      3
    ]
  },
  "include": {
    "associated_check_ids": true
  }
}"
NameType Required Description
filterObjectNo

The filter section defines the criteria for selecting the ZebraTester scenarios. This section is optional, any parameter can be omitted.

nameStringNo

This parameter defines a substring to filter scenarios by original filename.

versionStringNo

This parameter defines a substring to filter scenarios by ZebraTester version.

createdObjectNo

This section defines the date range to filter scenarios by the time they were created at.

from_utcDateTimeNo

Starting timestamp (in UTC) for the date range.

to_utcDateTimeNo

Ending timestamp (in UTC) for the date range.

updatedObjectNo

This section defines the date range to filter scenarios by the last time they were updated at.

from_utcDateTimeNo

Starting timestamp (in UTC) for the date range.

to_utcDateTimeNo

Ending timestamp (in UTC) for the date range.

associated_check_idsArrayNo

This parameter allows to filter scenarios by associated checks. If it is null, it will be ignored. If it is empty, the only scenarios which are not associated with any checks will be inlcuded in the response. If it contains identifiers, the only scenarios which are associated with at least one of the presented checks will be included in the response.

includeObjectNo

The include section defines additional ZebraTester scenario information to include into the response. If this section is omitted or empty, the response will only contain main data.

associated_check_idsBooleanNo

This parameter indicates whether identifiers of the associated checks should be included in the response.

Response body model example and description

ZebraTester scenario info

[
  {
    "id": 1,
    "original_filename": "sample string 2",
    "zebratester_version": "sample string 3",
    "class_name": "sample string 4",
    "compiled_as_zip": true,
    "created_utc": "2024-09-27T11:04:48",
    "updated_utc": "2024-09-27T11:04:48",
    "associated_check_ids": [
      1,
      2,
      3
    ]
  },
  {
    "id": 1,
    "original_filename": "sample string 2",
    "zebratester_version": "sample string 3",
    "class_name": "sample string 4",
    "compiled_as_zip": true,
    "created_utc": "2024-09-27T11:04:48",
    "updated_utc": "2024-09-27T11:04:48",
    "associated_check_ids": [
      1,
      2,
      3
    ]
  },
  {
    "id": 1,
    "original_filename": "sample string 2",
    "zebratester_version": "sample string 3",
    "class_name": "sample string 4",
    "compiled_as_zip": true,
    "created_utc": "2024-09-27T11:04:48",
    "updated_utc": "2024-09-27T11:04:48",
    "associated_check_ids": [
      1,
      2,
      3
    ]
  }
]
NameType Description
idInteger

The scenario's numeric identifier.

original_filenameString

The original filename.

zebratester_versionString

The version of ZebraTester.

class_nameString

The scenario class name.

compiled_as_zipBoolean

The scenario is compiled as ZIP.

created_utcDateTime

The time at which the scenario was created.

updated_utcDateTime

The last time at which the scenario was updated.

associated_check_idsArray

The list of identifiers of the checks which are associated with the scenario.